<?php

class FRMVehiculoBuscador extends AppFormularioBuscador {
	
	public function init() {
		
		parent::init();
		
		$this->setAction('/Wvehiculo/listado');
		
		$nombre = new EFTexto('nombre');
		$nombre->setLabel('Modelo / matricula');
		$nombre->setAnchoLabel(6);
		$this->addElement($nombre);
		
		$actividad = new EFCombobox('actividad');
		$actividad->setLabel('Actividad');
		$opciones =  ActividadVehiculo::listado_select();
		//$opciones = array_unshift($opciones);
		$actividad->setMultiOptions($opciones);
		$this->addElement($actividad);
		
		$activo = new EFCombobox('activo');
		$activo->setLabel('Activo');
		$valores = array('1'=>'Activo','2'=>'No activos','-1'=>'Todos');
		$activo->setMultiOptions($valores);
		$this->addElement($activo);
		
		$buscar = new EFSubmit('buscar');
		$buscar->setLabel('Buscar');
		$buscar->setValue('A buscar');
		$this->addElement($buscar);
		
		$fila = new VstFila();
		$fila->addElemento($nombre,4);
		$fila->addElemento($actividad,4);
		$fila->addElemento($activo,2);
		$fila->addElemento($buscar,2);
		$this->addElementoVista($fila);
		
	}
	
	
	
	
	
	
}